"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ByteOrder = void 0;
var isBigEndian = (function () {
    var array = new Uint8Array(4);
    var view = new Uint32Array(array.buffer);
    return !((view[0] = 1) & array[0]);
})();
var ByteOrder;
(function (ByteOrder) {
    ByteOrder[ByteOrder["BIG_ENDIAN"] = 0] = "BIG_ENDIAN";
    ByteOrder[ByteOrder["LITTLE_ENDIAN"] = 1] = "LITTLE_ENDIAN";
})(ByteOrder = exports.ByteOrder || (exports.ByteOrder = {}));
(function (ByteOrder) {
    function nameFromType(type) {
        var name = null;
        if (type !== null && type !== undefined) {
            name = ByteOrder[type];
        }
        return name;
    }
    ByteOrder.nameFromType = nameFromType;
    function fromName(type) {
        return ByteOrder[type];
    }
    ByteOrder.fromName = fromName;
    function getSystemDefault() {
        return isBigEndian ? ByteOrder.BIG_ENDIAN : ByteOrder.LITTLE_ENDIAN;
    }
    ByteOrder.getSystemDefault = getSystemDefault;
})(ByteOrder = exports.ByteOrder || (exports.ByteOrder = {}));
//# sourceMappingURL=ByteOrder.js.map