/// <reference types="node" />
/**
 * This class was heavily influenced by https://github.com/cschwarz/wkx/blob/master/lib/binarywriter.js
 */
import { ByteOrder } from "./ByteOrder";
export declare class ByteWriter {
    buffer: Buffer;
    position: number;
    allowResize: boolean;
    byteOrder: ByteOrder;
    writeUInt8: Function;
    writeUInt16: Function;
    writeUInt32: Function;
    writeInt8: Function;
    writeInt16: Function;
    writeInt32: Function;
    writeFloat: Function;
    writeDouble: Function;
    writeInt: Function;
    constructor(size: number, byteOrder?: ByteOrder, allowResize?: boolean);
    private _write;
    setByteOrder(byteOrder: ByteOrder): void;
    getByteOrder(): ByteOrder;
    writeBuffer(buffer: Buffer): void;
    writeVarInt(value: any): number;
    ensureSize(size: any): void;
    getBuffer(): Buffer;
}
