import { GeometryType } from "@ngageoint/simple-features-js";
/**
 * Geometry type info
 */
export declare class GeometryTypeInfo {
    /**
     * Geometry type code
     */
    private readonly _geometryTypeCode;
    /**
     * Geometry type
     */
    private readonly _geometryType;
    /**
     * Has Z values flag
     */
    private readonly _hasZ;
    /**
     * Has M values flag
     */
    private readonly _hasM;
    /**
     * Constructor
     *
     * @param geometryTypeCode geometry type code
     * @param geometryType geometry type
     * @param hasZ has z
     * @param hasM has m
     */
    constructor(geometryTypeCode: number, geometryType: GeometryType, hasZ: boolean, hasM: boolean);
    /**
     * Get the geometry type code
     *
     * @return geometry type code
     */
    get geometryTypeCode(): number;
    /**
     * Get the geometry type
     *
     * @return geometry type
     */
    get geometryType(): GeometryType;
    /**
     * Has z values
     *
     * @return true if has z values
     */
    get hasZ(): boolean;
    /**
     * Has m values
     *
     * @return true if has m values
     */
    get hasM(): boolean;
}
