"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeometryTypeInfo = void 0;
/**
 * Geometry type info
 */
var GeometryTypeInfo = /** @class */ (function () {
    /**
     * Constructor
     *
     * @param geometryTypeCode geometry type code
     * @param geometryType geometry type
     * @param hasZ has z
     * @param hasM has m
     */
    function GeometryTypeInfo(geometryTypeCode, geometryType, hasZ, hasM) {
        this._geometryTypeCode = geometryTypeCode;
        this._geometryType = geometryType;
        this._hasZ = hasZ;
        this._hasM = hasM;
    }
    Object.defineProperty(GeometryTypeInfo.prototype, "geometryTypeCode", {
        /**
         * Get the geometry type code
         *
         * @return geometry type code
         */
        get: function () {
            return this._geometryTypeCode;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeometryTypeInfo.prototype, "geometryType", {
        /**
         * Get the geometry type
         *
         * @return geometry type
         */
        get: function () {
            return this._geometryType;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeometryTypeInfo.prototype, "hasZ", {
        /**
         * Has z values
         *
         * @return true if has z values
         */
        get: function () {
            return this._hasZ;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeometryTypeInfo.prototype, "hasM", {
        /**
         * Has m values
         *
         * @return true if has m values
         */
        get: function () {
            return this._hasM;
        },
        enumerable: false,
        configurable: true
    });
    return GeometryTypeInfo;
}());
exports.GeometryTypeInfo = GeometryTypeInfo;
//# sourceMappingURL=GeometryTypeInfo.js.map